<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\fence_house;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\fence_house\FenceHouseLists;
use app\adminapi\logic\farm\FarmLogic;
use app\adminapi\logic\fence_house\FenceHouseLogic;
use app\adminapi\validate\fence_house\FenceHouseValidate;
use app\common\model\fence_house\FenceHouse;


/**
 * FenceHouse控制器
 * Class FenceHouseController
 * @package app\adminapi\controller\fence_house
 */
class FenceHouseController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/10 15:15
     */
    public function lists()
    {
        return $this->dataLists(new FenceHouseLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/10 15:15
     */
    public function add()
    {
        $params = (new FenceHouseValidate())->post()->goCheck('add');
        $result = FenceHouseLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(FenceHouseLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/10 15:15
     */
    public function edit()
    {
        $params = (new FenceHouseValidate())->post()->goCheck('edit');
        $result = FenceHouseLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(FenceHouseLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/10 15:15
     */
    public function delete()
    {
        $params = (new FenceHouseValidate())->post()->goCheck('delete');
        FenceHouseLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/10 15:15
     */
    public function detail()
    {
        $params = (new FenceHouseValidate())->goCheck('detail');
        $result = FenceHouseLogic::detail($params);
        return $this->data($result);
    }

    public function datas()
    {
        $datas = (new FenceHouseLogic())->datas(input(''));
        return $this->success('', $datas);
    }

}